from os import environ

def cluster_topic_map():
    nubium_canons = environ.get('NUBIUM_CANONS', '')
    nubium_integrations = environ.get('NUBIUM_INTEGRATIONS', '')
    nubium_transformations = environ.get('NUBIUM_TRANSFORMATIONS', '')
    dict_out = {
        "PeopleStream_Canon": nubium_canons,
        "PeopleStream_Canon_Input": nubium_canons,
        "PeopleStream_CanonTransformers_CreToPeopleStream": nubium_canons,
        "PeopleStream_PeopleStreamFromEloqua_ContactRetriever_Timestamps": nubium_integrations,
        "PeopleStream_PeopleStreamFromEloqua_ContactToCanon": nubium_transformations,
        "PeopleStream_PeopleStreamFromEloqua_UnsubscribeRetriever_Timestamps": nubium_integrations,
        "PeopleStream_PeopleStreamFromEloqua_UnsubscribeToCanon": nubium_transformations,
        "PeopleStream_DataWashingMachine_ProcessedRecords": nubium_canons,
        "PeopleStream_DataWashingMachine_Prewash": nubium_canons,
        "PeopleStream_DataWashingMachine_DeptJobrolePersona": nubium_canons,
        "PeopleStream_DataWashingMachine_AddressMsa": nubium_canons,
        "PeopleStream_DataWashingMachine_Privacy": nubium_canons,
        "CampaignResponse_Canon": nubium_canons,
        "CampaignResponse_Canon_Input": nubium_canons,
        "CampaignResponse_CampaignResponseFromEloqua_InquiriesRetriever_Timestamps": nubium_integrations,
        "CampaignResponse_CampaignResponseFromEloqua_InquiriesToCanon": nubium_transformations,
        "CampaignResponse_CampaignResponseToSalesforce_CampaignMembersToUpsert_FirstTry": nubium_integrations,
        "CampaignResponse_CampaignResponseToSalesforce_CampaignMembersToUpsert_Retry1": nubium_integrations,
        "CampaignResponse_CampaignResponseToSalesforce_CampaignMembersToUpsert_Retry2": nubium_integrations,
        "CampaignResponse_CampaignResponseToSalesforce_CampaignMembersToUpsert_Retry3": nubium_integrations,
        "CampaignResponse_CampaignResponseToSalesforce_CampaignMembersToUpsert_Failure": nubium_integrations,
        "NubiumIntegrations_DynamicForm_FormSubmissions": nubium_transformations,
        "NubiumIntegrations_DynamicForm_SpamFilter_CheckEmailAddress": nubium_transformations,
        "NubiumIntegrations_DynamicForm_SpamFilter_CheckVerifyId": nubium_transformations,
        "NubiumIntegrations_DynamicForm_SpamFilter_CheckSubmitId": nubium_transformations,
        "NubiumIntegrations_DynamicForm_SpamPosts": nubium_transformations,
        "NubiumIntegrations_DynamicForm_ErrorPosts": nubium_transformations,
        "NubiumIntegrations_Eloqua_EbbController": nubium_integrations,
        "NubiumIntegrations_Eloqua_EbbWorkerTasks": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_FromDyfo_FirstTry": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_FirstTry": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_Retry1": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_Retry2": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_Retry3": nubium_integrations,
        "NubiumIntegrations_Eloqua_FormPoster_Failure": nubium_integrations,
        "NubiumIntegrations_Eloqua_CdoUpdates_FirstTry": nubium_integrations,
        "NubiumIntegrations_Eloqua_CdoUpdates_Retry1": nubium_integrations,
        "NubiumIntegrations_Eloqua_CdoUpdates_Retry2": nubium_integrations,
        "NubiumIntegrations_Eloqua_CdoUpdates_Retry3": nubium_integrations,
        "NubiumIntegrations_Eloqua_CdoUpdates_Failure": nubium_integrations,
        "NubiumIntegrations_Eloqua_ContactUpdates_FirstTry": nubium_integrations,
        "NubiumIntegrations_Eloqua_ContactUpdates_Retry1": nubium_integrations,
        "NubiumIntegrations_Eloqua_ContactUpdates_Retry2": nubium_integrations,
        "NubiumIntegrations_Eloqua_ContactUpdates_Retry3": nubium_integrations,
        "NubiumIntegrations_Eloqua_ContactUpdates_Failure": nubium_integrations,
        "NubiumIntegrations_Partner_BulkReceiver_Chunks": nubium_integrations,
        "NubiumIntegrations_Partner_BulkProcessor_Records": nubium_integrations,
        "NubiumIntegrations_Vivastream_ContactsVivastreamRetriever_Timestamps": nubium_integrations,
        "NubiumIntegrations_Vivastream_CdoToFormTransform": nubium_transformations,
        "NubiumIntegrations_UploadWizard_ContactsUploadsMembersRetriever_Timestamps": nubium_integrations,
        "NubiumIntegrations_UploadWizard_CdoToFormTransform": nubium_transformations,
        "PathFactory_PathFactory_DuplicatesFilter": nubium_transformations,
        "PathFactory_PathFactory_DuplicateClosedSessions": nubium_transformations,
        "PathFactory_PathFactory_ClosedSessions_FirstTry": nubium_transformations,
        "PathFactory_PathFactory_ClosedSessions_Retry1": nubium_transformations,
        "PathFactory_PathFactory_ClosedSessions_Retry2": nubium_transformations,
        "PathFactory_PathFactory_ClosedSessions_Failure": nubium_transformations
    }
    dict_out.update({f'{k}__TEST':v for k,v in dict_out.items()})
    return dict_out
